#!/usr/bin/env php
<?php

$server = "http://ip_surveillancestation:port_surveillancestation";
$login = "login_surveillancestation";
$pass = "password_surveillancestation";

/* API VERSIONS */
//SYNO.API.Auth
$vAuth = 2;
//SYNO.SurveillanceStation.Camera
$vCamera = 1;
//SYNO.SurveillanceStation.ExternalRecording
$vExternalRecording = 1;
//action : start / stop recording
$actionRecord = "stop";
 
$json = file_get_contents($server.'/webapi/auth.cgi?api=SYNO.API.Auth&method=Login&version='.$vAuth.'&account='.$login.'&passwd='.$pass.'&session=SurveillanceStation&format=sid');
$obj = json_decode($json);
 
if($obj->success != "true"){
	echo "error";
	exit();
}else{
	//authentification successful
	$sid = $obj->data->sid;
		
	//list of known cams 
	$json_listcam = file_get_contents($server.'/webapi/entry.cgi?privCamType=3&version="'.$vCamera.'"&blIncludeDeletedCam=false&streamInfo=false&api="SYNO.SurveillanceStation.Camera"&basic=true&method="List"&_sid='.$sid);
	$obj_cam = json_decode($json_listcam);
		
	foreach($obj_cam->data->cameras as $cam){
		$id_cam = $cam->id;
		
		if($cam->enabled ) {
			$json_set_record = file_get_contents($server.'/webapi/entry.cgi?api=SYNO.SurveillanceStation.ExternalRecording&method=Record&version='.$vExternalRecording.'&cameraId='.$id_cam.'&action='.$actionRecord.'&_sid='.$sid);
			$obj = json_decode($json_set_record);
			if($obj->success != "true"){echo "error set record on cam ".$id_cam;}else echo "<p>Cam ".$id_cam." ".$actionRecord." recording.</p>";
		}
		else{
			echo "<p>Cam " . $id_cam . " skipped</p>";
		}
	}
 
	//logout
	$json_logout = file_get_contents($server.'/webapi/auth.cgi?api=SYNO.API.Auth&method=Logout&version='.$vAuth.'&session=SurveillanceStation&_sid='.$sid);
	$obj_logout = json_decode($json_logout);
 
}
 
?>